Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.reporting
Class PrintSettings

    java.lang.Object
      org.mockito.internal.reporting.PrintSettings

    public class PrintSettings

extends java.lang.Object

Field Summary
`static int` | `MAX_LINE_LENGTH`

Constructor Summary
`PrintSettings()`

Method Summary
`boolean` | `extraTypeInfoFor(int argumentIndex)`
`boolean` | `isMultiline()`
`java.lang.String` | `print(Invocation invocation)`
`java.lang.String` | `print(InvocationMatcher invocationMatcher)`
`java.lang.String` | `print(java.util.List<org.hamcrest.Matcher> matchers, Invocation invocation)`
`void` | `setMatchersToBeDescribedWithExtraTypeInfo(java.lang.Integer[] indexesOfMatchers)`
`void` | `setMultiline(boolean multiline)`
`static PrintSettings` | `verboseMatchers(java.lang.Integer... indexesOfMatchers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAX_LINE_LENGTH

    public static final int MAX_LINE_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### PrintSettings

    public PrintSettings()

Method Detail

### setMultiline

    public void setMultiline(boolean multiline)

### isMultiline

    public boolean isMultiline()

### verboseMatchers

    public static PrintSettings verboseMatchers(java.lang.Integer... indexesOfMatchers)

### extraTypeInfoFor

    public boolean extraTypeInfoFor(int argumentIndex)

### setMatchersToBeDescribedWithExtraTypeInfo

    public void setMatchersToBeDescribedWithExtraTypeInfo(java.lang.Integer[] indexesOfMatchers)

### print

    public java.lang.String print(java.util.List<org.hamcrest.Matcher> matchers,
                                  Invocation invocation)

### print

    public java.lang.String print(Invocation invocation)

### print

    public java.lang.String print(InvocationMatcher invocationMatcher)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD